> This page is for Unified.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.merge.dev/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.merge.dev/_mcp/server.

# /activities

POST https://api.merge.dev/api/ats/v1/activities
Content-Type: application/json

Creates an `Activity` object with the given values.

Reference: https://docs.merge.dev/merge-unified/ats/common-models/activities/list

## Authentication

- `Authorization` header (bearer token, required) — Token-based authentication with required prefix "Bearer"

## Servers

- `https://api.merge.dev/api` (Production, default)
- `https://api-eu.merge.dev/api` (ProductionEU)
- `https://api-ap.merge.dev/api` (ProductionAPSE1)

## Request

### Query parameters

- `is_debug_mode` (boolean, optional) — Whether to include debug fields (such as log file links) in the response.
- `run_async` (boolean, optional) — Whether or not third-party updates should be run asynchronously.

### Headers

- `X-Account-Token` (string, required) — Token identifying the end user.

### Body (application/json)

This endpoint expects an ActivityEndpointRequest.

- `model` (ActivityRequest, required) — # The Activity Object ### Description The `Activity` object is used to represent an activity for a candidate performed by a user. ### Usage Example Fetch from the `LIST Activities` endpoint and filter by `ID` to show all activities.
- `remote_user_id` (string, required)

## Response

### 201

- `model` (Activity, required) — # The Activity Object ### Description The `Activity` object is used to represent an activity for a candidate performed by a user. ### Usage Example Fetch from the `LIST Activities` endpoint and filter by `ID` to show all activities.
- `warnings` (list of WarningValidationProblem, required)
- `errors` (list of ErrorValidationProblem, required)
- `logs` (list of DebugModeLog, optional)

## Types

### ActivityRequest

# The Activity Object ### Description The `Activity` object is used to represent an activity for a candidate performed by a user. ### Usage Example Fetch from the `LIST Activities` endpoint and filter by `ID` to show all activities.

- `user` (string, optional, nullable) — The user that performed the action.
- `activity_type` (enum, optional, nullable) — The activity's type.
  - Allowed values: `NOTE`, `EMAIL`, `OTHER`
- `subject` (string, optional, nullable) — The activity's subject.
- `body` (string, optional, nullable) — The activity's body.
- `visibility` (enum, optional, nullable) — The activity's visibility.
  - Allowed values: `ADMIN_ONLY`, `PUBLIC`, `PRIVATE`
- `candidate` (string, optional, nullable)
- `integration_params` (map from string to any, optional, nullable)
- `linked_account_params` (map from string to any, optional, nullable)
- `activity_type_native` (string, optional, nullable) — The third-party value for `activity_type`, sent to the integration without enum normalization. Cannot be combined with `activity_type`.
- `visibility_native` (string, optional, nullable) — The third-party value for `visibility`, sent to the integration without enum normalization. Cannot be combined with `visibility`.

### Activity

# The Activity Object ### Description The `Activity` object is used to represent an activity for a candidate performed by a user. ### Usage Example Fetch from the `LIST Activities` endpoint and filter by `ID` to show all activities.

- `id` (string, optional)
- `remote_id` (string, optional, nullable) — The third-party API ID of the matching object.
- `created_at` (datetime, optional) — The datetime that this object was created by Merge.
- `modified_at` (datetime, optional) — The datetime that this object was modified by Merge.
- `user` (string, optional, nullable) — The user that performed the action.
- `remote_created_at` (datetime, optional, nullable) — When the third party's activity was created.
- `activity_type` (enum, optional, nullable) — The activity's type. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=activity_type` to receive the integration's own value instead.
  - Allowed values: `NOTE`, `EMAIL`, `OTHER`
- `subject` (string, optional, nullable) — The activity's subject.
- `body` (string, optional, nullable) — The activity's body.
- `visibility` (enum, optional, nullable) — The activity's visibility. This field is an open enum: Merge can return a value outside this list when an integration provides one it does not map. Pass `show_enum_origins=visibility` to receive the integration's own value instead.
  - Allowed values: `ADMIN_ONLY`, `PUBLIC`, `PRIVATE`
- `candidate` (string, optional, nullable)
- `remote_was_deleted` (boolean, optional) — Indicates whether or not this object has been deleted in the third party platform. Full coverage deletion detection is a premium add-on. Native deletion detection is offered for free with limited coverage. [Learn more](https://docs.merge.dev/integrations/hris/supported-features/).
- `field_mappings` (ActivityFieldMappings, optional, nullable)
- `remote_data` (list of RemoteData, optional, nullable)

### WarningValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### ErrorValidationProblem

- `title` (string, required)
- `detail` (string, required)
- `problem_type` (string, required)
- `source` (ValidationProblemSource, optional)
- `block_merge_link` (boolean, optional)
- `raw_error` (string, optional)
- `error_code` (integer, optional)

### DebugModeLog

- `log_id` (string, required)
- `dashboard_view` (string, required)
- `log_summary` (DebugModelLogSummary, required)

### ActivityFieldMappings

- `organization_defined_targets` (map from string to any, optional)
- `linked_account_defined_targets` (map from string to any, optional)

### RemoteData

# The RemoteData Object ### Description The `RemoteData` object is used to represent the full data pulled from the third-party API for an object. ### Usage Example TODO

- `path` (string, required) — The third-party API path that is being called.
- `data` (any, optional) — The data returned from the third-party for this object in its original, unnormalized format.

### ValidationProblemSource

- `pointer` (string, required)

### DebugModelLogSummary

- `url` (string, required)
- `method` (string, required)
- `status_code` (integer, required)

## Examples

**Request**

```json
{
  "remote_user_id": "string"
}
```

**Response**

```json
{
  "model": {
    "id": "ecbe05ac-62a3-46c5-ab31-4b478b37d1b4",
    "remote_id": "198123",
    "created_at": "2021-09-15T00:00:00Z",
    "modified_at": "2021-10-16T00:00:00Z",
    "user": "9d892439-5fab-4dbb-8bd8-34f7f96c7912",
    "remote_created_at": "2021-10-15T00:00:00Z",
    "activity_type": "NOTE",
    "subject": "Gil Feig's interview",
    "body": "Candidate loves integrations!",
    "visibility": "PRIVATE",
    "candidate": "550e8400-e29b-41d4-a716-446655440000",
    "remote_was_deleted": true,
    "field_mappings": {
      "organization_defined_targets": {
        "custom_key": "custom_value"
      },
      "linked_account_defined_targets": {
        "custom_key": "custom_value"
      }
    },
    "remote_data": [
      {
        "path": "/actions",
        "data": null
      }
    ]
  },
  "warnings": [
    {
      "title": "Unrecognized Field",
      "detail": "An unrecognized field, age, was passed in with request data.",
      "problem_type": "UNRECOGNIZED_FIELD",
      "source": {
        "pointer": "/age"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "errors": [
    {
      "title": "Missing Required Field",
      "detail": "custom_fields is a required field on model.",
      "problem_type": "MISSING_REQUIRED_FIELD",
      "source": {
        "pointer": "/model/custom_fields"
      },
      "block_merge_link": true,
      "raw_error": "string",
      "error_code": 1
    }
  ],
  "logs": [
    {
      "log_id": "99433219-8017-4acd-bb3c-ceb23d663832",
      "dashboard_view": "https://app.merge.dev/logs/99433219-8017-4acd-bb3c-ceb23d663832",
      "log_summary": {
        "url": "www.exampleintegration.com/api/v1/exampleapi",
        "method": "POST",
        "status_code": 200
      }
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.merge.dev/api/ats/v1/activities"

payload = { "remote_user_id": "string" }
headers = {
    "X-Account-Token": "X-Account-Token",
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.merge.dev/api/ats/v1/activities';
const options = {
  method: 'POST',
  headers: {
    'X-Account-Token': 'X-Account-Token',
    Authorization: 'Bearer <token>',
    'Content-Type': 'application/json'
  },
  body: '{"remote_user_id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.merge.dev/api/ats/v1/activities"

	payload := strings.NewReader("{\n  \"remote_user_id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("X-Account-Token", "X-Account-Token")
	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.merge.dev/api/ats/v1/activities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["X-Account-Token"] = 'X-Account-Token'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"remote_user_id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.merge.dev/api/ats/v1/activities")
  .header("X-Account-Token", "X-Account-Token")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"remote_user_id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.merge.dev/api/ats/v1/activities', [
  'body' => '{
  "remote_user_id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
    'X-Account-Token' => 'X-Account-Token',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.merge.dev/api/ats/v1/activities");
var request = new RestRequest(Method.POST);
request.AddHeader("X-Account-Token", "X-Account-Token");
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"remote_user_id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "X-Account-Token": "X-Account-Token",
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["remote_user_id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.merge.dev/api/ats/v1/activities")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```